# Arbitrary Selection Mechanics

## Coin

- Heads: `0`
- Tails: `1`

## Dice Mapping

| Die Value | Coin Flip Encoding |
|-----------|--------------------|
| `1`       | `100`              |
| `2`       | `010`              |
| `3`       | `110`              |
| `4`       | `001`              |
| `5`       | `101`              |
| `6`       | `011`              |
| `7`       | `111`              |
| `8`       | `000`              |

## Background

- coin flip values based on binary numbers
- `0` is highest value on selection lists
- encodings are indexed starting at `1`
- coin forces `8` possible values
  - `111` and `000` are "special options"
  - `free choice` as option
  - `re-roll` as option

## Mechanic

- list and number options
  - up to `6` or `8` based on die/coin selection
  - if half as many, give each choice multiple numbers
- roll die once or flip coin 3 times
  - note/remember each coin flip result
- lookup choice based on value obtained
- act upon the choice

## Additional Information

- be sure to evenly assign options to values or the randomness will skew in favor of a subset of options -> it will no longer be even odds
- if you have experience with binary numbers and binary counting, you can add or reduce the number of coin flips if needed
- use free roll / re-roll for padding choices to ensure a propr selection list
- it is advised / recommended to keep selection lists short to avoid fatigue caused by coming up with options to choose from
- if creating a selection list at the time of need proves difficult, try working on general, re-usable lists when not in need of a selection list
- if you notice you have a regular set of "go to" choices, this came can add variety to times that require a selection from the "go to" choices
- selection list development can be a very challenging process, please do **NOT** "fight it" or "push through" or similar. even only 2 options allows the game to be played
- if you can only think of one choice, you've likely already made a decision
- if you can not think of any choices, please try playing the game at a later point

## Example Lists

### Yes / No / Maybe

| Value    | Choice |
|----------|--------|
| `1`, `4` | Yes    |
| `2`, `5` | No     |
| `3`, `6` | Maybe  |

## Activity

| Value    | Choice        |
|----------|---------------|
| `1`, `5` | Park          |
| `2`, `6` | Movie         |
| `3`, `7` | Coffee        |
| `4`, `8` | Nature Center |

## Adult Time

| Value              | Choice          |
|--------------------|-----------------|
| `1`, `3`, `5`, `7` | Dinner / Movie  |
| `2`, `4`, `6`, `8` | Netflix / Chill |
